<?php

use MediaWiki\MediaWikiServices;
use MediaWiki\Extension\CustomQueryPage\Store\TagStore;
use MediaWiki\Extension\CustomQueryPage\Store\RoutineCloner;

return [
    'CustomQueryPage.TagStore' => static function ( MediaWikiServices $services ): TagStore {
        return new TagStore(
            $services->getDBLoadBalancer(),
            (string)$services->getMainConfig()->get( 'CustomQueryPageDefaultTag' )
        );
    },
    'CustomQueryPage.RoutineCloner' => static function ( MediaWikiServices $services ): RoutineCloner {
        return new RoutineCloner(
            $services->getDBLoadBalancer()
        );
    },
];
